2021-01-22 20:55 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001620Frama-CDocumentation > manualspublic2016-06-21 14:20
Reporterdharma 
Assigned Tosignoles 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product VersionFrama-C Fluorine-20130601 
Target VersionFixed in VersionFrama-C Neon-20140301 
Summary0001620: RTE - Documentation on Unary Minus
DescriptionHi,

RTE document (http://frama-c.com/download/rte-manual-Fluorine-20130601.pdf), section 2.1.3, assert is incorrect in that <= should be replaced by < to avoid signed overflow, right?
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004425

signoles (manager)

Fix committed to master branch.

~0004426

signoles (manager)

Thanks for the report. The implementation indeed generates the assertion "-2147483647 <= ix". The documentation is fixed accordingly.

~0004484

signoles (manager)

Fix committed to feature/bug_1598 branch.

~0004539

signoles (manager)

Fix committed to stable/neon branch.
+Notes

-Issue History
Date Modified Username Field Change
2014-01-19 23:54 dharma New Issue
2014-01-19 23:54 dharma Status new => assigned
2014-01-19 23:54 dharma Assigned To => signoles
2014-01-20 13:16 signoles Source_changeset_attached => framac master 54a5f1cb
2014-01-20 13:16 signoles Note Added: 0004425
2014-01-20 13:16 signoles Status assigned => resolved
2014-01-20 13:16 signoles Resolution open => fixed
2014-01-20 13:21 signoles Note Added: 0004426
2014-02-04 19:07 signoles Source_changeset_attached => framac feature/bug_1598 8fecea92
2014-02-04 19:07 signoles Note Added: 0004484
2014-02-12 16:53 signoles Source_changeset_attached => framac stable/neon 54a5f1cb
2014-02-12 16:57 signoles Note Added: 0004539
2014-03-13 15:56 signoles Fixed in Version => Frama-C Neon-20140301
2014-03-13 15:57 signoles Status resolved => closed
2016-06-21 14:11 signoles Category Documentation => Documentation > ACSL
2016-06-21 14:20 signoles Category Documentation > ACSL => Documentation > manuals
+Issue History